<!-- <h5>
       <span jhiTranslate="mpmApp.billingDisbursement.home.title">Billing Disbursements</span>
    </h5> -->
    <p-header>
        <div class="fieldset-legend">
            <div class="text-left">
                <p-accordion class="filter-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus">
                    <p-accordionTab header="Filter">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Tanggal Request</label>
                                    <div class="row">
                                        <div class="col-md-5">
                                            <div class="input-group input-calendar">
                                                <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                            </div>
                                        </div>
                                        <div class="col-md-1">s/d</div>
                                        <div class="col-md-5">
                                            <div class="input-group input-calendar">
                                                <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Status</label>
                                    <select class="form-control" id="field_status" name="status">
                                        <option [ngValue]="null"></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="btn-filter-wrapper">
                            <button type="button" class="btn btn-primary btn-filter">
                                <span>FILTER</span>
                            </button>
                        </div>
                    </p-accordionTab>
                </p-accordion>
                <!-- <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder=" Cari Request Event ">
                            <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                            &nbsp;
                        </div>
                    </form>
                  
                    <ul class="nav justify-content-end">
                            <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                            <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                            </li>
                        </ul>
                </div> -->
            </div>
        </div>
    
    </p-header>
    
    <p-dataTable [value]="antarCabangs" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems" [responsive]="true" [lazy]="true" row="itemsPerPage" totalRecords="totalItems" expandableRows="false" rowHover="true" (onEditComplete)="updateRowData($event)">
    
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Request">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- {{rowData.vendorInvoice}} -->
            </ng-template>
        </p-column>
        <p-column header="Tanggal Request" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- {{rowData.dateIssued | date:'dd-MM-yyyy'}} -->
            </ng-template>
        </p-column>
        <p-column header="Dealer Pemohon">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- {{rowData.internalName}} -->
            </ng-template>
        </p-column>
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- {{getCurrentStatusDesc(rowData.currentStatus)}} -->
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <a [routerLink]="['../receive-antar-cabang-detail']">Detail</a>
                <!-- <a (click)="verification(rowData.idRequirement)">Verifikasi</a> -->
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>